This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 456469 - broken -L in libpci.pc
broken -L in libpci.pc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pciutils (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-23 17:11 EDT by Matthew Woehlke
Modified: 2008-10-20 18:15 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-22 06:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Woehlke 2008-07-23 17:11:52 EDT
Description of problem:
pkg-config --libs-only-L requests /usr/lib, this is wrong and likely breaks
software using the -L from libpci

Version-Release number of selected component (if applicable):
2.2.10-1.fc9.x86_64

How reproducible:
Always

Steps to Reproduce:
1. pkg-config --libs-only-L libpci
  
Actual results:
"-L/usr/lib"

Expected results:
"-L/usr/lib64" or empty

Additional info:
Found while wondering what other packages are broken similar to bug 456466.
Comment 1 Michal Hlavinka 2008-09-22 06:11:35 EDT
fixed in pciutils-2.2.10-3.fc9
(also fixed in rawhide in 3.0.2-1.fc10 and f8 in 2.2.9-2.fc8)
Comment 2 Fedora Update System 2008-09-22 06:22:12 EDT
pciutils-2.2.10-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/pciutils-2.2.10-3.fc9
Comment 3 Fedora Update System 2008-09-22 06:50:06 EDT
pciutils-2.2.9-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/pciutils-2.2.9-2.fc8
Comment 4 Fedora Update System 2008-10-20 16:26:52 EDT
pciutils-2.2.10-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-10-20 18:15:30 EDT
pciutils-2.2.9-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.